Commit 227d0d20 authored by Natanael Copa's avatar Natanael Copa

main/snort: start serivce after firewall

parent 81779127
# Contributor: Michael Mason <ms13sp@gmail.com>
# Maintainter: Natanael Copa <ncopa@alpinelinux.org>
pkgname=snort
pkgver=2.8.4
pkgrel=0
pkgrel=1
pkgdesc="An open source network intrusion prevention and detection system"
url="http://www.snort.org/"
license="GPL"
depends="uclibc libpcap libnet"
depends=
makedepends="pcre-dev libpcap-dev libnet-dev"
install="$pkgname.pre-install"
subpackages="$pkgname-doc $pkgname-dev"
source="http://www.snort.org/dl/$pkgname-$pkgver.tar.gz
nocxx.patch
snort.initd
snort.confd
$install
"
build() {
cd "$srcdir/$pkgname-$pkgver"
patch configure < ../nocxx.patch || return 1
./configure --prefix=/usr \
--sysconfdir=/etc \
......@@ -34,7 +32,5 @@ build() {
}
md5sums="193179da8db8aac5ee6b0a751ce7b76d snort-2.8.4.tar.gz
28513788ba4d556ccd538867dc6205ab nocxx.patch
b3207150805e7b948d958c6f86e70a5b snort.initd
446f8d2b3435b8a6be738da978670605 snort.confd
b9473b349cc9d21faf7b91b591f497d6 snort.pre-install"
ffda56f7c20f5cea1c37c971e0f1d6c9 snort.initd
446f8d2b3435b8a6be738da978670605 snort.confd"
--- a/configure 2004-12-07 21:34:23.205172545 +0000
+++ b/configure 2004-12-07 21:37:17.726654782 +0000
@@ -5148,10 +5148,8 @@
:
else
{ { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&5
-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
+See \`config.log' for more details." >&5;}
+ { echo "C++ sucks, ignoring ..." >&5; }; }
fi
ac_ext=cc
......@@ -5,6 +5,7 @@
depend() {
need net
after firewall
}
checkconfig() {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment